/****************************************************************************
**
**    Friendly FM - The Friendly FM Widget
**    Copyright (C) 2011 Percy Leonhardt
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
****************************************************************************/

#include "ffmroutingthread.h"

#include <QProcess>

FFMRoutingThread::FFMRoutingThread(QObject *parent) :
    QThread(parent)
{
}

void FFMRoutingThread::run()
{
    QProcess::execute("fmtx_client -p 1");

    QProcess::execute("alsactl -f /home/user/asound.state store");

    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Jack Function\" Off");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Line DAC Playback Volume\" 112,112");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Line DAC Playback Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Mono DAC Playback Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Mono DAC Playback Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Right DAC_R1 Mixer Line Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Left DAC_L1 Mixer Line Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Speaker Function\" 0");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"FMTX Function\" 1");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Left DAC_L1 Mixer HP Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Right DAC_R1 Mixer HP Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Right DAC_R1 Mixer Mono Switch\" off");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Left DAC_L1 Mixer Mono Switch\" off");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"HP DAC Playback Volume\" 91,91");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Mono DAC Playback Volume\" 0,0");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"HPCOM DAC Playback Switch\" on");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Earphone Function\" off");
    QProcess::execute("amixer -Dhw:0 cset iface=MIXER,name=\"Earphone Playback Volume\" 0");
}
